## tinyexr 1.0.0+dfsg

=== CMakeLists.txt ===
# this cmake file is for compile tests.
# Not usable for your cmake app.
cmake_minimum_required(VERSION 3.5)

set(BUILD_TARGET "tinyexr")
set(SAMPLE_TARGET "test_tinyexr")

project(${BUILD_TARGET} CXX)

# options
option(TINYEXR_BUILD_SAMPLE "Build a sample" ON)

# cmake modules
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/sanitizers)
find_package(Sanitizers) # Address sanitizer (-DSANITIZE_ADDRESS=ON)

# Require strict C++11 mode(e.g. `-std=c++11`)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(TINYEXR_SOURCES
    ${PROJECT_SOURCE_DIR}/tinyexr.cc
    )

add_library(${BUILD_TARGET} ${TINYEXR_SOURCES} ${TINYEXR_DEP_SOURCES})
add_sanitizers(${BUILD_TARGET})

target_include_directories(${BUILD_TARGET} PRIVATE ${PROJECT_SOURCE_DIR})
target_link_libraries(${BUILD_TARGET} ${TINYEXR_EXT_LIBRARIES} ${CMAKE_DL_LIBS})

# Increase warning level for clang.
IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set_source_files_properties(${TINYEXR_SOURCES} PROPERTIES COMPILE_FLAGS "-Weverything -Werror -Wno-padded -Wno-c++98-compat-pedantic -Wno-documentation -Wno-unused-member-function")
ENDIF ()

if (TINYEXR_BUILD_SAMPLE)

  set(TINYEXR_SAMPLE_SOURCES
      ${PROJECT_SOURCE_DIR}/test_tinyexr.cc
      )

  add_executable(${SAMPLE_TARGET} ${TINYEXR_SAMPLE_SOURCES})
  add_sanitizers(${SAMPLE_TARGET})
  if (WIN32)
    target_compile_definitions(${SAMPLE_TARGET} PUBLIC UNICODE)
    target_compile_definitions(${SAMPLE_TARGET} PUBLIC _UNICODE)

    # Set ${SAMPLE_TARGET} as a startup project for VS IDE
    set_property(DIRECTORY PROPERTY VS_STARTUP_PROJECT ${SAMPLE_TARGET})

    # For easier debugging in VS IDE(cmake 3.8.0 or later required) Set working
    # directory to ${BUILD_TARGET} git repo root.
    if(CMAKE_VERSION VERSION_GREATER 3.8.0)
      set_target_properties(${SAMPLE_TARGET}
              PROPERTIES VS_DEBUGGER_WORKING_DIRECTORY
              "${CMAKE_CURRENT_SOURCE_DIR}")
    endif()
  endif(WIN32)

endif (TINYEXR_BUILD_SAMPLE)

=== Makefile ===
#CXX ?= clang++
#CXXFLAGS ?= -fsanitize=address -Werror -Wall -Wextra -g -O0 -DTINYEXR_USE_MINIZ=0 -DTINYEXR_USE_PIZ=0
#LDFLAGS ?= -lz

# ZFP
#CXXFLAGS += -DTINYEXR_USE_ZFP=1 -I./deps/ZFP/inc
#LDFLAGS += -L./deps/ZFP/lib -lzfp

all:
	$(CXX) $(CXXFLAGS) -o test_tinyexr test_tinyexr.cc $(LDFLAGS)

test:
	./test_tinyexr asakusa.exr

.PHONY: test

=== examples/cube2longlat/Makefile ===
INC_DIR = -I../../ -I../common

INCLUDES := ../../tinyexr.h
OBJS := tinyexr.o cube2longlat.o

CXXFLAGS := -fsanitize=address -std=c++11 -O2
LDFLAGS := -fsanitize=address

TARGET=cube2longlat
 
all: $(TARGET)

$(TARGET): $(OBJS)
	$(CXX) -o $(TARGET) $(LDFLAGS) $(OBJS)

tinyexr.o: ../../tinyexr.cc
	$(CXX) $(CXXFLAGS) -c $(INC_DIR) $<

cube2longlat.o: cube2longlat.cc
	$(CXX) $(CXXFLAGS) -c $(INC_DIR) $<

.PHONY: clean
clean:
	rm -rf $(TARGET) $(OBJS)

=== examples/exr2fptiff/Makefile ===

CXX=clang++

CXXFLAGS = -std=c++11 -fsanitize=address -Weverything -Werror -Wno-c++98-compat -Wno-padded -Wno-variadic-macros -g -O2 -I../../
LDFLAGS = -fsanitize=address

# ZFP
#CXXFLAGS += -DTINYEXR_USE_ZFP=1 -I/home/syoyo/work/zfp/include
#LDFLAGS += -L/home/syoyo/work/zfp/build/lib -lzfp


all: exr2fptiff

exr2fptiff: exr2fptiff.o tinyexr.o
	$(CXX) -o $@ $^ $(LDFLAGS)

exr2fptiff.o: exr2fptiff.cc tiny_dng_writer.h
	$(CXX) $(CXXFLAGS) -c -o $@ $<

tinyexr.o: ../../tinyexr.cc
	$(CXX) $(CXXFLAGS) -c -o $@ $<

.PHONY: clean


clean:
	rm -rf tinyexr.o exr2fptiff.o

=== examples/exr2ldr/Makefile ===
all:
	clang++ -g -fsanitize=address -O2 -o exr2ldr -I../common  -I../../ exr2ldr.cc ../../tinyexr.cc

=== examples/exr2rgbe/Makefile ===
all:
	g++ -O2 -o exr2rgbe -I../common -I../../ exr2rgbe.cc ../../tinyexr.cc

=== examples/exrfilter/Makefile ===
all:
	g++ -std=c++11 -O2 -o exrfilter -I../common -I../../ exrfilter.cc ../../tinyexr.cc

=== examples/ldr2exr/Makefile ===
all:
	g++ -O2 -o ldr2exr -I../common -I../../ ldr2exr.cc ../../tinyexr.cc

=== examples/nornalmap/Makefile ===
all:
	clang++ -O2 -g -fsanitize=address -I../common -I../../ -o normalmap main.cc

=== examples/resize/Makefile ===
all:
	clang++ -fsanitize=undefined -O2 -o exrresize -I../common -I../../ resize.cc ../../tinyexr.cc

=== examples/rgbe2exr/Makefile ===
all:
	g++ -O2 -o rgbe2exr -I../common -I../../ rgbe2exr.cc ../../tinyexr.cc

=== examples/testmapgen/Makefile ===
all:
	g++ -std=c++11 -O2 -o testmapgen -I../common -I../../ testmapgen.cc ../../tinyexr.cc

## tinyexr 1.0.0%2Bdfsg

=== debian/control ===
Source: tinyexr
Section: libs
Priority: optional
Maintainer: Timo Röhling <timo@gaussglocke.de>
Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, catch
Homepage: https://github.com/syoyo/tinyexr
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/tinyexr.git
Vcs-Browser: https://salsa.debian.org/roehling/tinyexr

Package: libtinyexr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtinyexr1d (= ${binary:Version}), ${misc:Depends}
Description: C++ library to load and save OpenEXR images - development headers
 TinyEXR is a small library to load and save OpenEXR images. It supports
 the version 1 format and version 2 multi-part images, and it has partial
 support for version 2 deep images.
 .
 This package contains the development headers for C++

Package: libtinyexr1d
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library to load and save OpenEXR images
 TinyEXR is a small library to load and save OpenEXR images. It supports
 the version 1 format and version 2 multi-part images, and it has partial
 support for version 2 deep images.

## tinyexr 1.0.0+dfsg

=== debian/changelog ===
tinyexr (1.0.0+dfsg-1+deb11u1) bullseye; urgency=medium

  * Fix vulnerabilities.
    - CVE-2022-34300: Heap overflow in DecodePixelData
    - CVE-2022-38529: Heap overflow in rleUncompress

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Oct 2022 14:21:50 +0200

tinyexr (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #974927)

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 17 Nov 2020 19:42:31 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/tinyexr-$1.tar.gz/,\
     dversionmangle=s/\+dfsg\d*$//,oversionmangle=s/$/+dfsg/,\
     repack \
https://github.com/syoyo/tinyexr/releases .*/v(\d\S+)\.tar\.gz

## tinyexr 1.0.1%2Bdfsg

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/tinyexr-$1.tar.gz/,\
     dversionmangle=s/\+dfsg\d*$//,oversionmangle=s/$/+dfsg/,\
     repack \
https://github.com/syoyo/tinyexr/tags .*/v(\d\S+)\.tar\.gz

## tinyexr 1.0.1+dfsg

=== test/c-binding/Makefile ===
all:
	gcc -c -I../../deps/miniz ../../deps/miniz/miniz.c
	g++ -c -I../../ -I../../deps/miniz ../../tinyexr.cc
	gcc -c -I../../ test.c
	gcc test.o tinyexr.o miniz.o -lstdc++

=== debian/changelog ===
tinyexr (1.0.1+dfsg-3) unstable; urgency=medium

  * Fix d/watch to use tags, not releases on Github

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Oct 2021 22:37:30 +0200

tinyexr (1.0.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on BE architectures

 -- Timo Röhling <roehling@debian.org>  Tue, 31 Aug 2021 13:42:23 +0200

tinyexr (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.1+dfsg
  * Update maintainer address
  * Bump Standards-Version to 4.6.0

 -- Timo Röhling <roehling@debian.org>  Sun, 29 Aug 2021 20:43:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tinyexr
 Section: libs
 Priority: optional
-Maintainer: Timo Röhling <timo@gaussglocke.de>
+Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, catch
 Homepage: https://github.com/syoyo/tinyexr
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/tinyexr.git
 Vcs-Browser: https://salsa.debian.org/roehling/tinyexr

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs

%:
	dh $@ --buildsystem=cmake

## tinyexr 1.0.5+dfsg

=== Makefile ===
#CXX ?= clang++
#CXXFLAGS ?= -fsanitize=address -Werror -Wall -Wextra -g -O0 -DTINYEXR_USE_MINIZ=0 -DTINYEXR_USE_PIZ=0
#LDFLAGS ?= -lz

# ZFP(experimental)
#CXXFLAGS += -DTINYEXR_USE_ZFP=1 -I./deps/ZFP/include
#LDFLAGS += -L./deps/ZFP/lib -lzfp

CFLAGS += -I./deps/miniz
CXXFLAGS += -I./deps/miniz

.PHONY: test clean

all: miniz.o
	$(CXX) $(CXXFLAGS) -o test_tinyexr test_tinyexr.cc miniz.o $(LDFLAGS)

miniz.o:
	$(CC) $(CFLAGS) -c ./deps/miniz/miniz.c

test:
	./test_tinyexr asakusa.exr

clean:
	rm -rf test_tinyexr miniz.o

=== debian/changelog ===
tinyexr (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.5+dfsg
  * Refresh patches
    - Drop CVE patches which have been merged upstream
  * Bump Standards-Version to 4.6.2
  * Update symbols

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 23:37:22 +0200

tinyexr (1.0.1+dfsg-4) unstable; urgency=medium

  * Fix vulnerabilities
    - CVE-2022-34300: Heap overflow in DecodePixelData
    - CVE-2022-38529: Heap overflow in rleUncompress
  * Bump Standards-Version to 4.6.1
  * Fix cross-compilation

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Sep 2022 20:50:54 +0200

## tinyexr 1.0.6+dfsg

=== debian/changelog ===
tinyexr (1.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.6+dfsg
  * Pass version numbers from d/rules to CMake

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Jun 2023 08:59:27 +0200

## tinyexr 1.0.7+dfsg

=== debian/changelog ===
tinyexr (1.0.7+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.7+dfsg
  * Refresh patches

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Aug 2023 22:17:11 +0200

## tinyexr 1.0.8%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 # options
 option(TINYEXR_BUILD_SAMPLE "Build a sample" ON)
+option(TINYEXR_USE_MINIZ "Use miniz" ON)
 
 # cmake modules
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
@@ -20,9 +21,19 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
+set_property(GLOBAL PROPERTY USE_FOLDERS ON)
+
 set(TINYEXR_SOURCES
     ${PROJECT_SOURCE_DIR}/tinyexr.cc
     )
+
+if(TINYEXR_USE_MINIZ)
+  enable_language(C)
+  add_library(miniz STATIC deps/miniz/miniz.c)
+  target_include_directories(miniz PUBLIC deps/miniz)
+  set_target_properties(miniz PROPERTIES FOLDER "deps")
+  list(APPEND TINYEXR_EXT_LIBRARIES miniz)
+endif()
 
 add_library(${BUILD_TARGET} ${TINYEXR_SOURCES} ${TINYEXR_DEP_SOURCES})
 add_sanitizers(${BUILD_TARGET})
@@ -42,6 +53,7 @@
       )
 
   add_executable(${SAMPLE_TARGET} ${TINYEXR_SAMPLE_SOURCES})
+  target_link_libraries(${SAMPLE_TARGET} ${TINYEXR_EXT_LIBRARIES})
   add_sanitizers(${SAMPLE_TARGET})
   if (WIN32)
     target_compile_definitions(${SAMPLE_TARGET} PUBLIC UNICODE)

## tinyexr 1.0.8+dfsg

=== examples/exrfilter/Makefile ===
all:
	gcc -O2 -c -I../../deps/miniz ../../deps/miniz/miniz.c
	g++ -std=c++11 -O2 -o exrfilter -I../common -I../../ -I ../../deps/miniz exrfilter.cc ../../tinyexr.cc miniz.o

=== debian/changelog ===
tinyexr (1.0.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.8+dfsg
  * Update patches
    - Drop 0005-Properly-check-for-Big-Endian.patch (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Sat, 24 Feb 2024 00:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Röhling <roehling@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, catch
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ zlib1g-dev,
 Homepage: https://github.com/syoyo/tinyexr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/tinyexr.git
 Vcs-Browser: https://salsa.debian.org/roehling/tinyexr

## tinyexr 1.0.9+dfsg

=== debian/changelog ===
tinyexr (1.0.9+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.9+dfsg
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 14:43:14 +0200

## tinyexr 1.0.10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,9 +42,13 @@
 target_link_libraries(${BUILD_TARGET} ${TINYEXR_EXT_LIBRARIES} ${CMAKE_DL_LIBS})
 
 # Increase warning level for clang.
-IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-  set_source_files_properties(${TINYEXR_SOURCES} PROPERTIES COMPILE_FLAGS "-Weverything -Werror -Wno-padded -Wno-c++98-compat-pedantic -Wno-documentation -Wno-unused-member-function")
-ENDIF ()
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND NOT MSVC)
+  set(CLANG_COMPILE_FLAGS "-Weverything -Werror -Wno-padded -Wno-c++98-compat-pedantic -Wno-documentation -Wno-unused-member-function")
+  if (${CMAKE_CXX_COMPILER_VERSION} VERSION_GREATER 16)
+    set(CLANG_COMPILE_FLAGS "${CLANG_COMPILE_FLAGS} -Wno-unsafe-buffer-usage")
+  endif()
+  set_source_files_properties(${TINYEXR_SOURCES} PROPERTIES COMPILE_FLAGS ${CLANG_COMPILE_FLAGS})
+endif ()
 
 if (TINYEXR_BUILD_SAMPLE)

=== examples/cube2longlat/Makefile ===
INC_DIR = -I../../ -I../common -I ../../deps/miniz

INCLUDES := ../../tinyexr.h
OBJS := miniz.o tinyexr.o cube2longlat.o

CFLAGS := -fsanitize=address -O2
CXXFLAGS := $(CFLAGS) -std=c++11
LDFLAGS := -fsanitize=address

TARGET=cube2longlat
 
all: $(TARGET)

$(TARGET): $(OBJS)
	$(CXX) -o $(TARGET) $(LDFLAGS) $(OBJS)

miniz.o: ../../deps/miniz/miniz.c
	$(CC) $(CFLAGS) -c $(INC_DIR) $<

tinyexr.o: ../../tinyexr.cc
	$(CXX) $(CXXFLAGS) -c $(INC_DIR) $<

cube2longlat.o: cube2longlat.cc
	$(CXX) $(CXXFLAGS) -c $(INC_DIR) $<

.PHONY: clean
clean:
	rm -rf $(TARGET) $(OBJS)

=== examples/testmapgen/Makefile ===
all:
	gcc -O2 -I../../deps/miniz -c ../../deps/miniz/miniz.c
	g++ -std=c++11 -O2 -o testmapgen -I../common -I../../ -I../../deps/miniz testmapgen.cc ../../tinyexr.cc miniz.o

=== test/unit/Makefile ===
.PHONY: clean

CC = clang
CXX = clang++
CXXFLAGS = -fsanitize=address,undefined -g -O2 -std=c++11 -I ../../deps/miniz
CFLAGS = -fsanitize=address,undefined -g -O2 -I ../../deps/miniz

all: tester

miniz.o:
	$(CC) -c $(CFLAGS) ../../deps/miniz/miniz.c
	
tester: tester.cc ../../tinyexr.h miniz.o
	$(CXX) $(CXXFLAGS) -o tester tester.cc miniz.o

check: tester
	./tester

clean:
	rm -rf tester miniz.o

=== debian/changelog ===
tinyexr (1.0.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.10+dfsg
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Feb 2025 13:08:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  zlib1g-dev,
 Homepage: https://github.com/syoyo/tinyexr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/tinyexr.git
 Vcs-Browser: https://salsa.debian.org/roehling/tinyexr

=== debian/tests/control ===
Tests: build-and-run-test-tinyexr
Depends: libtinyexr-dev, cmake, g++
Restrictions: allow-stderr

## tinyexr 1.0.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  zlib1g-dev,
 Homepage: https://github.com/syoyo/tinyexr
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/tinyexr.git
 Vcs-Browser: https://salsa.debian.org/roehling/tinyexr
@@ -16,7 +16,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtinyexr1d (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libtinyexr1d (= ${binary:Version}),
+ ${misc:Depends},
 Description: C++ library to load and save OpenEXR images - development headers
  TinyEXR is a small library to load and save OpenEXR images. It supports
  the version 1 format and version 2 multi-part images, and it has partial
@@ -27,7 +29,9 @@
 Package: libtinyexr1d
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: C++ library to load and save OpenEXR images
  TinyEXR is a small library to load and save OpenEXR images. It supports
  the version 1 format and version 2 multi-part images, and it has partial

=== debian/tests/control ===
Tests:
 build-and-run-test-tinyexr,
Depends:
 cmake,
 g++,
 libtinyexr-dev,
Restrictions:
 allow-stderr,

## tinyexr 1.0.12+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,21 @@
 #CXXFLAGS += -DTINYEXR_USE_ZFP=1 -I./deps/ZFP/include
 #LDFLAGS += -L./deps/ZFP/lib -lzfp
 
-CFLAGS += -I./deps/miniz
-CXXFLAGS += -I./deps/miniz
+# nanozlib(experimental)
+#BUILD_NANOZLIB=1
+#CXXFLAGS += -DTINYEXR_USE_NANOZLIB=1 -DTINYEXR_USE_MINIZ=0 -I./deps/nanozlib
+
+ifeq ($(BUILD_NANOZLIB),1)
+else
+  DEPOBJS = miniz.o
+  CFLAGS += -I./deps/miniz
+  CXXFLAGS += -I./deps/miniz
+endif
 
 .PHONY: test clean
 
-all: miniz.o
-	$(CXX) $(CXXFLAGS) -o test_tinyexr test_tinyexr.cc miniz.o $(LDFLAGS)
+all: $(DEPOBJS)
+	$(CXX) $(CXXFLAGS) -o test_tinyexr test_tinyexr.cc $(DEPOBJS) $(LDFLAGS)
 
 miniz.o:
 	$(CC) $(CFLAGS) -c ./deps/miniz/miniz.c

=== examples/exr2ldr/Makefile ===
all:
	clang -g -O2 -c -I../../deps/miniz ../../deps/miniz/miniz.c
	clang++ -g -fsanitize=address -O2 -o exr2ldr -I../common  -I../../ -I../../deps/miniz exr2ldr.cc ../../tinyexr.cc miniz.o

=== examples/ldr2exr/Makefile ===
all:
	gcc -O2 -c -I../../deps/miniz ../../deps/miniz/miniz.c
	g++ -O2 -o ldr2exr -I../common -I../../ -I../../deps/miniz ldr2exr.cc ../../tinyexr.cc miniz.o

=== examples/nornalmap/Makefile ===
all:
	clang -O2 -c -I../../deps/miniz ../../deps/miniz/miniz.c
	clang++ -O2 -g -fsanitize=address -I../common -I../../ -I../../deps/miniz -o normalmap main.cc miniz.o

=== test/fuzzer/Makefile ===
#ISSUE_63_FLAGS=-O1 -g -fsanitize=address,bool,float-cast-overflow,integer-divide-by-zero,return,returns-nonnull-attribute,shift-exponent,signed-integer-overflow,unreachable,vla-bound -fno-sanitize-recover=all -funsigned-char

all: miniz
	clang++ -std=c++11 -o fuzz -I../../ -I../../deps/miniz -g -fsanitize=address,fuzzer fuzz.cc miniz.o
	#clang++ -std=c++11 -o fuzz_63 -I../../ -I../../deps/miniz ${ISSUE_63_FLAGS} fuzz.cc libminiz.a

miniz:
	clang -c -I../../deps/miniz -g ../../deps/miniz/miniz.c
	#llvm-ar rc libminiz.a miniz.o

t:
	./fuzz
	#./fuzz_62 issue-62-tinyexr_memcpy_heap-buffer-overflow
	#./fuzz_63 issue-63-tinyexr_signed-integer-overflow

=== test/issues/160/requirements.txt ===
OpenEXR
numpy
simpleimageio

=== debian/changelog ===
tinyexr (1.0.12+dfsg-1) unstable; urgency=medium

  * Update d/copyright excludes
  * New upstream version 1.0.12+dfsg
  * Wrap and sort Debian package files
  * Bump CMake policy minimum version in autopkgtest
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Sep 2025 14:37:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs


TINYEXR_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+d.*$$//')
TINYEXR_SOVERSION := 1d

%:
	dh $@ --buildsystem=cmake


override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DTINYEXR_VERSION=$(TINYEXR_VERSION) \
		-DTINYEXR_SOVERSION=$(TINYEXR_SOVERSION)
